diff -Nurp src/cachemgr.cc src-next/cachemgr.cc
--- src/cachemgr.cc	2003-02-22 01:14:32.000000000 +0100
+++ src-next/cachemgr.cc	2003-06-17 10:32:02.000000000 +0200
@@ -417,21 +417,20 @@ munge_menu_line(const char *buf, cachemg
 
     /* no reason to give a url for a disabled action */
     if (!strcmp(p, "disabled"))
-        snprintf(html, sizeof(html), "<LI type=\"circle\">%s (disabled)<A HREF=\"%s\">.</A>\n", d, a_url);
+        snprintf(html, sizeof(html), "<LI type=\"circle\">%s (disabled)<!--%s-->\n", d, a);
     else
         /* disable a hidden action (requires a password, but password is not in squid.conf) */
         if (!strcmp(p, "hidden"))
-            snprintf(html, sizeof(html), "<LI type=\"circle\">%s (hidden)<A HREF=\"%s\">.</A>\n", d, a_url);
+            snprintf(html, sizeof(html), "<LI type=\"circle\">%s (hidden)<!--%s-->\n", d, a);
         else
             /* disable link if authentication is required and we have no password */
             if (!strcmp(p, "protected") && !req->passwd)
-                snprintf(html, sizeof(html), "<LI type=\"circle\">%s (requires <a href=\"%s\">authentication</a>)<A HREF=\"%s\">.</A>\n",
-                         d, menu_url(req, "authenticate"), a_url);
+	  snprintf(html, sizeof(html), "<LI type=\"circle\">%s (requires <A href=\"%s\">authentication</A>)<!--%s-->\n",
+	           d, menu_url(req, "authenticate"), a);
             else
                 /* highlight protected but probably available entries */
                 if (!strcmp(p, "protected"))
-                    snprintf(html, sizeof(html), "<LI type=\"square\"><A HREF=\"%s\"><font color=\"#FF0000\">%s</font></A>\n",
-                             a_url, d);
+                    snprintf(html, sizeof(html), "<LI type=\"square\"><A href=\"%s\">%s</A>\n", a_url, d);
 
     /* public entry or unknown type of protection */
                 else
@@ -596,7 +595,8 @@ read_reply(int s, cachemgr_request * req
             printf("<HTML><HEAD><TITLE>CacheMgr@%s: %s</TITLE>\n",
                    req->hostname, action);
 
-            printf("<STYLE type=\"text/css\"><!--BODY{background-color:#ffffff;font-family:verdana,sans-serif}TABLE{background-color:#333333;border:0pt;padding:0pt}TH,TD{background-color:#ffffff}--></STYLE>\n");
+            printf("<STYLE type=\"text/css\"><!--BODY,TD{background-color:white;font-family:verdana,sans-serif}TABLE{background-color:black;border:0}");
+            printf("TH{background-color:#DEDEDE}TH,TD{font-size:smaller}A{text-decoration:none}A:HOVER{color:red;text-decoration:underline}--></STYLE>\n");
 
             printf("</HEAD><BODY>\n");
 
diff -Nurp src/cf.data.pre src-next/cf.data.pre
--- src/cf.data.pre	2003-06-13 00:39:14.000000000 +0200
+++ src-next/cf.data.pre	2003-06-17 10:44:02.000000000 +0200
@@ -3041,6 +3041,7 @@ DOC_START
 		offline_toggle *
 		pconn
 		peer_select
+		reconfigure *
 		redirector
 		refresh
 		server_list
